Loading...
Searching...
No Matches
BALL::PoseClustering::RigidTransformation Class Reference

`#include <BALL/DOCKING/COMMON/poseClustering.h>`

## Public Member Functions

| RigidTransformation ()
| RigidTransformation (Eigen::Vector3f const &new_trans, Eigen::Matrix3f const &new_rot)

## Public Attributes

Eigen::Vector3f | translation
Eigen::Matrix3f | rotation

## Detailed Description

Definition at line 193 of file poseClustering.h.

## Constructor & Destructor Documentation

## RigidTransformation() [1/2]

BALL::PoseClustering::RigidTransformation::RigidTransformation | ( |  | ) |

inline

Definition at line 196 of file poseClustering.h.

## RigidTransformation() [2/2]

BALL::PoseClustering::RigidTransformation::RigidTransformation | ( | Eigen::Vector3f const & | new_trans,
|  | Eigen::Matrix3f const & | new_rot )

inline

Definition at line 198 of file poseClustering.h.

## Member Data Documentation

## rotation

Eigen::Matrix3f BALL::PoseClustering::RigidTransformation::rotation

Definition at line 204 of file poseClustering.h.

## translation

Eigen::Vector3f BALL::PoseClustering::RigidTransformation::translation

Definition at line 203 of file poseClustering.h.